﻿$ErrorActionPreference = 'Stop';

$packageName= 'taskfactory'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.pragmaticworks.com/release/2017.2/TaskFactory_2017.2.5.503.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'task-factory*'
  checksum = 'F42573295E400539B7A6F55B948F29C721D822C32B629241E4A7228B11043A40'
  checksumType = 'sha256'
  checksum64 = 'RjQyNTczMjk1RTQwMDUzOUI3QTZGNTVCOTQ4RjI5QzcyMUQ4MjJDMzJCNjI5MjQxRTRBNzIyOEIxMTA0M0E0MA=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
